<?php

/*=======================================================
*    Register Post type
* =======================================================*/
function ihafs_pro_custom_posts() {
	// Headers and Footer Scripts
	$labels = array(
		'name'                  => _x( 'All Scripts', 'All Scripts', 'ihafs-pro' ),
		'singular_name'         => _x( 'Script', 'Script', 'ihafs-pro' ),
		'menu_name'             => esc_html__( 'HT Script Pro', 'ihafs-pro' ),
		'name_admin_bar'        => esc_html__( 'ihafs-pro', 'ihafs-pro' ),
		'archives'              => esc_html__( 'Script Archives', 'ihafs-pro' ),
		'parent_item_colon'     => esc_html__( 'Parent Script:', 'ihafs-pro' ),
		'all_items'             => esc_html__( 'All Scripts', 'ihafs-pro' ),
		'add_new_item'          => esc_html__( 'Add New Script', 'ihafs-pro' ),
		'add_new'               => esc_html__( 'Add New Script', 'ihafs-pro' ),
		'new_item'              => esc_html__( 'New Script', 'ihafs-pro' ),
		'edit_item'             => esc_html__( 'Edit Script', 'ihafs-pro' ),
		'update_item'           => esc_html__( 'Update Script', 'ihafs-pro' ),
		'view_item'             => esc_html__( 'View Script', 'ihafs-pro' ),
		'search_items'          => esc_html__( 'Search Script', 'ihafs-pro' ),
		'not_found'             => esc_html__( 'Not found', 'ihafs-pro' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'ihafs-pro' ),
		'featured_image'        => esc_html__( 'Featured Image', 'ihafs-pro' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'ihafs-pro' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'ihafs-pro' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'ihafs-pro' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'ihafs-pro' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'ihafs-pro' ),
		'items_list'            => esc_html__( 'Scripts list', 'ihafs-pro' ),
		'items_list_navigation' => esc_html__( 'Scripts list navigation', 'ihafs-pro' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'ihafs-pro' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Scripts', 'ihafs-pro' ),
		'labels'                => $labels,
		'supports'              => array('title' ),
		'hierarchical'          => false,
		'public'                => false,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'             => 'dashicons-edit',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => true,
		'publicly_queryable'    => false,
		'capability_type'       => 'post',
	);
	register_post_type( 'ihafs_script', $args );
	
}
add_action( 'init', 'ihafs_pro_custom_posts');